xquery version "3.1";

import module namespace elastic="http://elastic.io" at "elastic.xqm";
import module namespace lesapi="http://sepia.io/esapi/legacy-api";
import module namespace console="http://exist-db.org/xquery/console";


declare variable $r := [
    lesapi:drop-index($elastic:uri, $elastic:prefix || "people"),
    lesapi:drop-index($elastic:uri, $elastic:prefix || "works"),
    lesapi:drop-index($elastic:uri, $elastic:prefix || "wiki_pages"),
    lesapi:drop-index($elastic:uri, $elastic:prefix || "edition_pages"),
    lesapi:drop-index($elastic:uri, $elastic:prefix || "editions"),
    lesapi:drop-index($elastic:uri, $elastic:prefix || "commentaries")
    ];

declare variable $log := util:log-system-out("Indices dropped.");

elastic:setup() 